Oolite Bulletins

For information and discussion about Oolite.
It is currently Mon Dec 17, 2018 7:22 pm

All times are UTC




Post new topic  Reply to topic  [ 10 posts ] 
Author Message
PostPosted: Tue Oct 09, 2018 1:00 am 
Offline
---- E L I T E ----
---- E L I T E ----
User avatar

Joined: Thu Feb 15, 2018 9:30 am
Posts: 289
Location: Texas
Okay been having some issues with the download manager on a few oxz's.
At first it was only the Ace Criuser, but as new updates came in and I tried installing them, a few started to fail.
Here is a copy of a few of the logs and vids I collected.
Funny thing is the Ace Cruiser works fine now. lol
But, Ship Respray, GalCop's Most Wanted, and System Feature: Rings, are the issues.
I couldn't update so I tried uninstalling to reinstall and that didn't work for Most Wanted or Rings.
Afraid to try Respray cause the version works and no sense screwing it up if the update won't take.

This is the newest vid of me trying to download GalCop's Most Wanted. It doesn't show up in the DeBug as that, the DeBug keeps saying Escorts Contracts, but that is another oxz that works fine. There is two versions of it in the manager, I have the newer one, the older one shows up dark blue.
Not catching what those two oxz have or could have in common to be that way.
https://youtu.be/CV2wMKK1Yho

Older crash vid logs:
Bug Hunt: https://www.youtube.com/watch?v=eZwiCRXUcLA

19:19:16.032 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
19:19:19.370 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
19:19:19.585 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
19:19:19.700 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
19:19:19.790 [oxz.manager.error]: Downloaded OXZ does not have the same identifer and version as expected. This might be due to your manifests list being out of date - try updating it.

16:15:06.506 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
16:15:06.513 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
16:15:08.597 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
16:15:08.604 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
16:15:08.604 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
16:15:08.793 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
16:15:08.801 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
16:15:08.801 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
16:15:08.893 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
16:15:08.901 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
16:15:08.901 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
16:15:08.902 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
16:15:08.977 [oxz.manager.error]: Downloaded OXZ does not have the same identifer and version as expected. This might be due to your manifests list being out of date - try updating it.

Here are the logs for each instance and a vid.
*I did the hold shift on start up till spinning cobra so it was a fresh build.

08:48:54.611 [oxp-standards.error]: OXP /Users/raymondjames/Library/Application Support/Oolite/AddOns/Tianve1.3.oxp has no manifest.plist
08:49:26.291 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:49:26.298 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:49:37.728 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:49:37.729 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:49:37.737 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:49:37.964 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:49:37.964 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:49:37.971 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:49:38.014 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:49:38.014 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:49:38.021 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:49:38.021 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:49:38.171 [oxz.manager.error]: Downloaded OXZ does not have the same identifer and version as expected. This might be due to your manifests list being out of date - try updating it.


08:51:06.276 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:51:06.283 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:51:16.187 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:51:16.193 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:51:16.193 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:51:16.366 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:51:16.374 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:51:16.374 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:51:16.502 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:51:16.508 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:51:16.508 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:51:16.509 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:51:16.703 [oxz.manager.error]: Downloaded OXZ does not have the same identifer and version as expected. This might be due to your manifests list being out of date - try updating it.

08:52:31.641 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:52:31.648 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:52:35.019 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
08:52:35.025 [version.debug]: cim.gsagostinho.systemfeatures.rings mv:2.8.1 mav:2.9
08:52:52.260 [version.debug]: oolite.oxp.phkb.BountySystem mv:0.4.3 mav:0.4.4
08:52:57.082 [version.debug]: oolite.oxp.phkb.BountySystem mv:0.4.3 mav:0.4.4
08:52:57.082 [version.debug]: oolite.oxp.phkb.BountySystem mv:0.4.3 mav:0.4.4
08:52:57.297 [version.debug]: oolite.oxp.phkb.BountySystem mv:0.4.3 mav:0.4.4
08:52:57.297 [version.debug]: oolite.oxp.phkb.BountySystem mv:0.4.3 mav:0.4.4
08:52:57.432 [version.debug]: oolite.oxp.phkb.BountySystem mv:0.4.3 mav:0.4.4
08:52:57.432 [version.debug]: oolite.oxp.phkb.BountySystem mv:0.4.3 mav:0.4.4
08:52:57.434 [version.debug]: oolite.oxp.phkb.BountySystem mv:0.4.3 mav:0.4.4
08:52:57.543 [oxz.manager.error]: Downloaded OXZ does not have the same identifer and version as expected. This might be due to your manifests list being out of date - try updating it.

08:54:09.843 [version.debug]: oolite.oxp.phkb.BountySystem mv:0.4.3 mav:0.4.4
08:54:11.374 [version.debug]: oolite.oxp.phkb.BountySystem mv:0.4.3 mav:0.4.4
08:54:13.551 [version.debug]: oolite.oxp.Thargoid.Pods mv:1.44 mav:1.35
08:54:19.803 [version.debug]: oolite.oxp.CaptMurphy.EscortContracts mv:1.7.1 mav:1.6.2
08:54:26.058 [version.debug]: gsagostinho.TexturePack.FerDeLance mv:1.3 mav:1.4
08:54:27.958 [version.debug]: gsagostinho.TexturePack.FerDeLance mv:1.3 mav:1.4
08:54:27.958 [version.debug]: gsagostinho.TexturePack.FerDeLance mv:1.3 mav:1.4
08:54:29.096 [version.debug]: gsagostinho.TexturePack.FerDeLance mv:1.3 mav:1.4
08:54:59.560 [oxz.manager.error]: Downloaded OXZ does not have the same identifer and version as expected. This might be due to your manifests list being out of date - try updating it.

Fer-da-lance is cured and works great.

_________________
Creativity is a gift, use it well.


Top
   
PostPosted: Tue Oct 09, 2018 4:14 am 
Offline
Commodore
Commodore
User avatar

Joined: Tue Jan 21, 2014 10:37 pm
Posts: 2225
Location: [p]laying [h]ard and [k]icking [b]utt somewhere in G7...
Quote:
Funny thing is the Ace Cruiser works fine now.
Although it is a different version of Ace's Cruzer, with a slightly modified manifest.plist. I originally thought the issue might have been to do with how the original Cruzer manifest had "\" characters in the text. However, subsequent issues have pointed to something a little broader in scope. The problem only appears to be with the Mac (no PC or Linux users have reported issues), and I'm not sure whether a recent Mac OS update might be involved.

_________________
My OXP's
YouTube: Oolite Teaser Trailer


Top
   
PostPosted: Tue Oct 09, 2018 3:00 pm 
Offline
---- E L I T E ----
---- E L I T E ----
User avatar

Joined: Thu Feb 15, 2018 9:30 am
Posts: 289
Location: Texas
This mornings try.
This is a fresh 1.87 download and install. I once again tried to install in order - Ship Respray-(tried updating), System Features: Rings and GalCops Most Wanted - (both installs). These are the crash logs:
09:49:58.315 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:00.718 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:00.918 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:01.021 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:01.170 [oxz.manager.error]: Downloaded OXZ does not have the same identifer and version as expected. This might be due to your manifests list being out of date - try updating it.
09:50:03.865 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:05.607 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:05.607 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:05.807 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:05.808 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:05.942 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:05.943 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:05.950 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:06.019 [oxz.manager.error]: Downloaded OXZ does not have the same identifer and version as expected. This might be due to your manifests list being out of date - try updating it.
09:50:08.088 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:10.148 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:10.366 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:10.498 [version.debug]: oolite.oxp.phkb.ShipRespray mv:1.3.6 mav:1.3.7
09:50:27.051 [oxz.manager.error]: Downloaded OXZ does not have the same identifer and version as expected. This might be due to your manifests list being out of date - try updating it.


Ship Respray is the only one showing in the logs but I tried all three as stated in the order that I stated.
I'm debating on removing Respray and trying to see if I can reinstall it. Fearful of this cause when i uninstalled System features rings and galcops most wanted I haven't been able to reinstall them.

_________________
Creativity is a gift, use it well.


Top
   
PostPosted: Tue Oct 09, 2018 3:18 pm 
Offline
---- E L I T E ----
---- E L I T E ----
User avatar

Joined: Thu Feb 15, 2018 9:30 am
Posts: 289
Location: Texas
So I uninstalled the Ship Respray and then tried to reinstall and it failed. :(
So I closed the 1.87 version.
uninstall the new Dangerous Blue HUD that is 1.87 locked. Installed into the addons folder the older version of the Dangerous blue HUD and took out the debug for 1.87.
Opened up the 1.86 version went to manager and all the oxz's loaded up fine without a hitch.

Summery: Until 1.87 is ready for release, the newest versions of the Dangerous HUD that only work in 1.87 should be replaced by the older 1.86 versions on the manager until the 1.87 release. :)

This all started because I liked the Blue HUD, and it wouldn't work in 1.86 so I downloaded 1.87. And that's when it all came tumbling down....

_________________
Creativity is a gift, use it well.


Top
   
PostPosted: Tue Oct 09, 2018 3:33 pm 
Offline
Quite Grand Sub-Admiral
Quite Grand Sub-Admiral

Joined: Wed Feb 28, 2007 7:54 am
Posts: 5310
Quote:
Summery: Until 1.87 is ready for release, the newest versions of the Dangerous HUD that only work in 1.87 should be replaced by the older 1.86 versions on the manager until the 1.87 release. :)
Nope, that cannot be correct because I just downloaded Blue HUD and Ship Respray with 1.87 and it worked flawlessly. OK, I am not on a Mac, but I think that something else is going on here.

Those errors you are getting about incorrect identifiers etc... Have you tried updating the OXP manifest list before downloading (the first thing the Manager asks you when you first bring it up)? I had similar errors until I accepted the update to the latest manifest list.


Top
   
PostPosted: Tue Oct 09, 2018 3:47 pm 
Offline
---- E L I T E ----
---- E L I T E ----
User avatar

Joined: Thu Feb 15, 2018 9:30 am
Posts: 289
Location: Texas
Quote:
Quote:
Summery: Until 1.87 is ready for release, the newest versions of the Dangerous HUD that only work in 1.87 should be replaced by the older 1.86 versions on the manager until the 1.87 release. :)
Nope, that cannot be correct because I just downloaded Blue HUD and Ship Respray with 1.87 and it worked flawlessly. OK, I am not on a Mac, but I think that something else is going on here.

Those errors you are getting about incorrect identifiers etc... Have you tried updating the OXP manifest list before downloading (the first thing the Manager asks you when you first bring it up)? I had similar errors until I accepted the update to the latest manifest list.
Everything is working fine for me now on the 1.86.

What I was trying to get across, is most players have 1.86. And the Dangerous HUDs in the manager only work with 1.87, and not in 1.86 then the average person out there with the "Current" 1.86 version can't use them right now. That is why I suggested putting the 1.86 versions of those HUDs back up on the manager.

Not saying the the new HUD had anything to do with the issues in 1.87.
The issues in 1.87 started with Ace Ships and only his ships till new updates came in.
I upgraded my OS in between that time and when I started to do the updates they wouldn't take which has lead us to here.

1.86 has had no issues with any of the same oxz's so I have to lean towards an issue within the 1.87 version, or an issue between that version and Mac OS High Sierra 10.13.6

_________________
Creativity is a gift, use it well.


Top
   
PostPosted: Tue Oct 09, 2018 3:51 pm 
Offline
---- E L I T E ----
---- E L I T E ----
User avatar

Joined: Thu Feb 15, 2018 9:30 am
Posts: 289
Location: Texas
And yes I update the list every time. I even hold the shift down to have it rebuild before I tried all of the last 4 days of experimenting trying to figure this all out.
:)

_________________
Creativity is a gift, use it well.


Top
   
PostPosted: Tue Oct 09, 2018 4:00 pm 
Offline
Quite Grand Sub-Admiral
Quite Grand Sub-Admiral

Joined: Wed Feb 28, 2007 7:54 am
Posts: 5310
Quote:
1.86 has had no issues with any of the same oxz's so I have to lean towards an issue within the 1.87 version, or an issue between that version and Mac OS High Sierra 10.13.6
The problem with this assessment is that the OXZ Manager code in 1.87 is exactly the same as in 1.86. No differences whatsoever between the two. Also, it all works with Windows and Linux, so it can't be the 1.87 version that has the problem here. Would be nice if we could have a confirmation (in favor or against) from other Mac users too, but Mac users seem to show up rarely these days.


Top
   
PostPosted: Tue Oct 09, 2018 4:02 pm 
Offline
---- E L I T E ----
---- E L I T E ----
User avatar

Joined: Thu Feb 15, 2018 9:30 am
Posts: 289
Location: Texas
Well that kind of sucks, cause it kind of leaves me in the ginny pig area. LMAO :D

I put out a call for mac users on both the Oolite FB page and Group sites to see if I can drum up some testers for us. ;)

"If you are a Mac Oolite user please hit this post with a like.
We are looking for Mac users that can help us in verifying bugs and glitches in the upcoming 1.87 release.
If you are a mac user and interested in helping us test the newest version let us know. :)"

_________________
Creativity is a gift, use it well.


Top
   
PostPosted: Fri Oct 12, 2018 5:46 am 
Offline
---- E L I T E ----
---- E L I T E ----
User avatar

Joined: Thu Feb 15, 2018 9:30 am
Posts: 289
Location: Texas
For all my experimentation, I do believe the issues I was having with the 1.87 & 1.86, to a minor degree, has to do with the recent OS update to High Sierra. I could be wrong though I no nothing of code, or all that much about macs in general.

_________________
Creativity is a gift, use it well.


Top
   
Display posts from previous:  Sort by  
Post new topic  Reply to topic  [ 10 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 3 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
cron
Powered by phpBB® Forum Software © phpBB Limited